libpq5.7-9.4.22-1.mga6.i586.rpm


Advertisement

Description

libpq5.7 - The shared libraries required for any PostgreSQL clients

Property Value
Distribution Mageia 6.1
Repository Mageia Core Updates Testing i586
Package filename libpq5.7-9.4.22-1.mga6.i586.rpm
Package name libpq5.7
Package version 9.4.22
Package release 1.mga6
Package architecture i586
Package type rpm
Category System/Libraries
Homepage http://www.postgresql.org/
License BSD
Maintainer -
Download size 87.04 KB
Installed size 203.02 KB
C and C++ libraries to enable user programs to communicate with the PostgreSQL
database backend. The backend can be on another machine and accessed through
TCP/IP.

Alternatives

Package Version Architecture Repository
libpq5.7-9.4.19-1.mga6.i586.rpm 9.4.19 i586 Mageia Core Updates
libpq5.7-9.4.16-1.mga6.i586.rpm 9.4.16 i586 Mageia Core Updates
libpq5.7-9.4.15-1.mga6.i586.rpm 9.4.15 i586 Mageia Core Updates
libpq5.7-9.4.13-1.mga6.i586.rpm 9.4.13 i586 Mageia Core Updates
libpq5.7-9.4.12-1.1.mga6.i586.rpm 9.4.12 i586 Mageia Core Updates
libpq5.7-9.4.12-1.mga6.i586.rpm 9.4.12 i586 Mageia Core
libpq5.7 - - -

Requires

Name Value
libc.so.6 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1) -
libc.so.6(GLIBC_2.1.2) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.2) -
libc.so.6(GLIBC_2.3) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libcrypto.so.1.0.0 -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.2) -
libssl.so.1.0.0 -

Provides

Name Value
libpq == 9.4.22-1.mga6
libpq.so.5.7 -
libpq5.7 == 9.4.22-1.mga6
libpq5.7(x86-32) == 9.4.22-1.mga6
libpq5.7-virtual == 9.4
libpq9.0_5 -
libpq9.1_5 -
libpq9.2_5 -
libpq9.3_5 -
libpq9.4_5 -
postgresql-libs == 9.4.22-1.mga6

Conflicts

Name Value
libpq5.7-virtual < 9.4

Obsoletes

Name Value
libpq5 < 9.4.10-1
libpq9.0_5 -
libpq9.1_5 -
libpq9.1_5.4 -
libpq9.2_5 -
libpq9.2_5.5 -
libpq9.3_5 -
libpq9.4_5 -

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package libpq5.7-9.4.22-1.mga6.i586.rpm
Source Package postgresql9.4-9.4.22-1.mga6.src.rpm

Install Howto

  1. Enable Mageia Core Updates Testing repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install libpq5.7 rpm package:
    # urpmi libpq5.7

Files

Path
/usr/lib/libpq.so.5.7

Changelog

2019-05-12 - mokraemer <mokraemer> 9.4.22-1.mga6
+ Revision: 1397395
- new version 9.4.22 fix cve's (mga#24798)
+ bcornec <bcornec>
- Update to upstream 9.4.19 to fix mga#22687
+ luigiwalser <luigiwalser>
- 9.4.16 (fixes CVE-2018-1052 and CVE-2018-1053)
- 9.4.15 (fixes CVE-2017-12172 and CVE-2017-1509[89])
- 9.4.13 (fixes CVE-2017-754[6-8])
2017-05-15 - neoclust <neoclust> 9.4.12-1.mga6
+ Revision: 1101660
- New version 9.4.12 - Fixes CVE-2017-748[4-6] (mga#20842)
2017-03-05 - neoclust <neoclust> 9.4.11-1.mga6
+ Revision: 1088844
- New version 9.4.11
2017-01-31 - shlomif <shlomif> 9.4.10-4.mga6
+ Revision: 1084435
- Rebuild for the new perl
2016-11-08 - neoclust <neoclust> 9.4.10-3.mga6
+ Revision: 1065817
- Try better to fix conflicts
2016-10-28 - luigiwalser <luigiwalser> 9.4.10-2.mga6
+ Revision: 1063850
- 9.4.10
2016-10-18 - neoclust <neoclust> 9.4.9-2.mga6
+ Revision: 1061568
- Fix conflicts against mga5 pgsql
2016-08-11 - luigiwalser <luigiwalser> 9.4.9-1.mga6
+ Revision: 1045672
- 9.4.9 (fixes CVE-2016-5423 and CVE-2016-5424)
2016-05-12 - luigiwalser <luigiwalser> 9.4.8-1.mga6
+ Revision: 1014213
- 9.4.8

See Also

Package Description
libqt5declarative-devel-5.6.2-0.20160519.1.mga6.i586.rpm Devel files needed to build apps based on QtQuick
libqt5declarative-private-devel-5.6.2-0.20160519.1.mga6.i586.rpm Devel files needed to build apps based on QtQuick
libqt5declarative5-5.6.2-0.20160519.1.mga6.i586.rpm Qt5 Lib
libqt5enginio-devel-1.6.2-1.mga6.i586.rpm Devel files needed to build apps based on QtEnginio
libqtenginio1-1.6.2-1.mga6.i586.rpm Qt5 Component Library
libquadmath-devel-5.5.0-2.mga6.i586.rpm GCC __float128 support
libquadmath0-5.5.0-2.mga6.i586.rpm GCC __float128 shared support library
libqxp-doc-0.0.2-1.mga6.noarch.rpm Documentation of libqxp API
libqxp-tools-0.0.2-1.mga6.i586.rpm Tools to transform QuarkXPress documents into other formats
libqxp0.0-devel-0.0.2-1.mga6.i586.rpm Development files for libqxp
libqxp0.0_0-0.0.2-1.mga6.i586.rpm Library for import of QuarkXPress documents
libreoffice-6.1.5.2-1.2.mga6.i586.rpm Free Software Productivity Suite
libreoffice-base-6.1.5.2-1.2.mga6.i586.rpm Database front-end for LibreOffice
libreoffice-bsh-6.1.5.2-1.2.mga6.i586.rpm BeanShell support for LibreOffice
libreoffice-calc-6.1.5.2-1.2.mga6.i586.rpm LibreOffice Spreadsheet Application
Advertisement
Advertisement